Bug 337801 - Review Request: php-pear-pake - PHP5 project builder system
Review Request: php-pear-pake - PHP5 project builder system
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 266941 337791
Blocks: 351441
  Show dependency treegraph
 
Reported: 2007-10-18 08:11 EDT by Alexander Kahl
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 04:40:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kahl 2007-10-18 08:11:36 EDT
Spec URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SPECS/php-pear-pake.spec
SRPM URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SRPMS/php-pear-pake-1.1.4-2.fc7.src.rpm
Description: 
pake is a PHP5 project build system with capabilities similar to make. pake has
the following features:
- pakefiles (pake’s version of Makefiles) are completely defined in standard
  PHP5 syntax. No XML files to edit. No quirky Makefile syntax to worry about
  (is that a tab or a space?)
- users can specify tasks with prerequisites
- pake is lightweight. It can be distributed with other projects as a single
  file. Projects that depend upon pake do not require that pake be installed on
  target systems

pake is heavily based on rake, a similar system for ruby.
Comment 1 Jason Tibbitts 2007-11-18 23:49:07 EST
One rpmlint issue:
  php-pear-pake.noarch: W: file-not-utf8 
   /usr/share/doc/php-pear-pake-1.1.4/pake/LICENSE
Indeed, the license file contains a non-utf8 copyright symbol.  A quick pass
through iconv fixes it up.  Since it's minor and the only thing I can find to
quibble with, I'll go ahead and approve and you can fix it when you check in.

* source files match upstream:
   9472e4adadfc031dcfc6aa557417143fb5aa411ef56482bc5d627364f015ef17
   pake-1.1.4.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged (as far as I can tell; the upstream web site 
   seems a bit broken)
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(pear.symfony-project.com/pake) = 1.1.4
   php-pear-pake = 1.1.4-2.fc9
  =
   /bin/sh
   /usr/bin/pear
   php-channel-symfony
   php-cli >= 5.0.1
   php-pear

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module registration)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED, just pass the LICENSE file through iconv.
Comment 2 Alexander Kahl 2007-11-20 12:06:31 EST
Thank you Jason, fixed that in -3.
Comment 3 Alexander Kahl 2007-11-20 12:11:10 EST
New Package CVS Request
=======================
Package Name:      php-pear-pake
Short Description: PHP5 project builder system
Owners:            akahl
Branches:          F-8 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2007-11-20 13:56:26 EST
cvs done.
Comment 5 Alexander Kahl 2007-11-21 04:40:00 EST
All builds successful.

Note You need to log in before you can comment on or make changes to this bug.